Bug 519988 - libsane-hpaio: could /etc/sane.d/dll.d/ be used instead of a %post script?
Summary: libsane-hpaio: could /etc/sane.d/dll.d/ be used instead of a %post script?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 21:25 UTC by Ville-Pekka Vainio
Modified: 2009-08-31 23:31 UTC (History)
2 users (show)

Fixed In Version: 3.9.8-12.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-31 23:31:13 UTC


Attachments (Terms of Use)

Description Ville-Pekka Vainio 2009-08-27 21:25:13 UTC
Currently (looking at the devel spec file and the F11 package) the hpaio entry gets added into /etc/sane.d/dll.conf by a %post script. Could the libsane-hpaio carry a file such as /etc/sane.d/dll.d/hpaio with the "hpaio" line instead?

The reason I'm asking this is because I upgraded a system from F10 to F11 and I think this left the system with a dll.conf rpmnew file, which had some changes compared to the old one being used. I copied the new file over the old one and only later realized that by doing this I had lost the hpaio entry, because the dll.conf rpmnew file didn't contain it as it only gets added by a %post script.

My mistake, but to prevent others from making the same mistake and to make it more clear that the libsane-hpaio package needs the configuration entry, I think it could be packaged as a separate dll.d file.

Comment 1 Tim Waugh 2009-08-28 09:18:14 UTC
Yes, good idea.

Comment 2 Fedora Update System 2009-08-28 21:57:53 UTC
hplip-3.9.8-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6959

Comment 3 Fedora Update System 2009-08-31 23:30:27 UTC
hplip-3.9.8-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.